#ifndef DEFINES_H

#define DEFINES_H

#define NUM_BLOCKS_X 12
#define NUM_BLOCKS_Y 9

#define MAX_CREATURE 220
#define MAX_MOUSE 200
#define MOUSE_SPEED 5
#define CAT_SPEED 3

#define MAX_CAT 6 /* used in cat attack */

#define MAX_ARROW 3 /* per player */
#define ARROW_TOUGHNESS 2

#define MAX_PLAYER 4

#define MAX_GENERATOR MAX_PLAYER
#define GENERATION_FREQ 800

#define MOUSE50_FREQ 100
#define MOUSEQ_FREQ 40

#define MAX_SCORE 999

#define BATTLE_LENGTH (3*60) /* seconds */

#define POST_GAME_LENGTH 10 /* seconds */

#define ARROW_DURATION 10 /* seconds */

#define INPUT_QUEUE_SIZE 10

#define MAX_STEP_SIZE 100 /* ms */

#define SCORE_CHANGE_L 500

#endif
