#ifndef TYPES_H

#define TYPES_H

#include "defines.h"

typedef Uint8 grid_int;
typedef float grid_float;

typedef struct _grid_int_position
{
  grid_int x, y;
} grid_int_position;

typedef struct _grid_float_position
{
  grid_float x, y;
} grid_float_position;

typedef struct _screen_position
{
  Sint16 x;
  Sint16 y;
} screen_position;

typedef struct _keyboard_player
{
  int exists;
  screen_position pointer;
  screen_position pointer_going;
  int on_grid;
  grid_int_position grid_pos; /* only defined if on_grid is true */
} keyboard_player;

typedef struct _keyboard_data
{
  keyboard_player player[MAX_PLAYER];
} keyboard_data;


#endif

